Summary:	A document formatting system.
Name:		groff
Group:		Applications/Publishing
License:	GPL
Version:	1.19.1
Release:	1
Source0:	ftp://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz
Source3:	mandocj.tar.gz
Source4:	man-pages-ja-GNU_groff-20000115.tar.gz
Source6:	hyphen.cs
Source7:	nroff
Patch01:	groff-1.18.1-dont-build-doc-gd-1.diff
Requires:	mktemp
Provides:	nroff-i18n
BuildRequires:	zlib-devel, texinfo
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Groff is a document formatting system. Groff takes standard text and
formatting commands as input and produces formatted output. The
created documents can be shown on a display or printed on a printer.
Groff's formatting commands allow you to specify font type and size,
bold type, italic type, the number and size of columns on a page, and
more.

Groff can also be used to format man pages. If you are going to use
groff with the X Window System, you will also need to install the
groff-gxditview package.

%files -f groff-files
  %defattr(-,root,root)
  %doc	BUG-REPORT NEWS PROBLEMS README TODO VERSION
  %doc	doc/meintro.me doc/meref.me doc/pic.ms
  %{_prefix}/share/groff

%package perl
Summary:	Parts of the groff formatting system that require Perl.
Group:		Applications/Publishing

%description perl
The groff-perl package contains the parts of the groff text processor
package that require Perl. These include the afmtodit font processor
for creating PostScript font files, the grog utility that can be used
to automatically determine groff command-line options, and the
troff-to-ps print filter.

%files perl
  %defattr(-,root,root)
  %{_prefix}/bin/grog
  %{_prefix}/bin/mmroff
  %{_prefix}/bin/afmtodit
  %{_mandir}/man1/afmtodit.*
  %{_mandir}/man1/grog.*
  %{_mandir}/man1/mmroff*

%prep
%setup -q -a 4
%patch01 -p1

%build
  %configure --disable-japanese --enable-multibyte
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_prefix} $RPM_BUILD_ROOT/%{_infodir}

  %makeinstall manroot=$RPM_BUILD_ROOT//%{_mandir}

  ln -s s.tmac		$RPM_BUILD_ROOT/%{_prefix}/share/groff/%version/tmac/gs.tmac
  ln -s mse.tmac	$RPM_BUILD_ROOT/%{_prefix}/share/groff/%version/tmac/gmse.tmac
  ln -s m.tmac		$RPM_BUILD_ROOT/%{_prefix}/share/groff/%version/tmac/gm.tmac
  ln -s troff		$RPM_BUILD_ROOT/%{_prefix}/bin/gtroff
  ln -s tbl		$RPM_BUILD_ROOT/%{_prefix}/bin/gtbl
  ln -s pic		$RPM_BUILD_ROOT/%{_prefix}/bin/gpic
  ln -s eqn		$RPM_BUILD_ROOT/%{_prefix}/bin/geqn
  ln -s neqn		$RPM_BUILD_ROOT/%{_prefix}/bin/gneqn
  ln -s refer		$RPM_BUILD_ROOT/%{_prefix}/bin/grefer
  ln -s lookbib		$RPM_BUILD_ROOT/%{_prefix}/bin/glookbib
  ln -s indxbib		$RPM_BUILD_ROOT/%{_prefix}/bin/gindxbib
  ln -s soelim		$RPM_BUILD_ROOT/%{_prefix}/bin/gsoelim
  ln -s soelim		$RPM_BUILD_ROOT/%{_prefix}/bin/zsoelim
  ln -s nroff		$RPM_BUILD_ROOT/%{_prefix}/bin/gnroff

  # Build system is compressing man-pages
  ln -s eqn.1.gz	$RPM_BUILD_ROOT/%{_mandir}/man1/geqn.1.gz
  ln -s indxbib.1.gz	$RPM_BUILD_ROOT/%{_mandir}/man1/gindxbib.1.gz
  ln -s lookbib.1.gz	$RPM_BUILD_ROOT/%{_mandir}/man1/glookbib.1.gz
  ln -s nroff.1.gz 	$RPM_BUILD_ROOT/%{_mandir}/man1/gnroff.1.gz
  ln -s pic.1.gz	$RPM_BUILD_ROOT/%{_mandir}/man1/gpic.1.gz
  ln -s refer.1.gz 	$RPM_BUILD_ROOT/%{_mandir}/man1/grefer.1.gz
  ln -s soelim.1.gz	$RPM_BUILD_ROOT/%{_mandir}/man1/gsoelim.1.gz
  ln -s soelim.1.gz	$RPM_BUILD_ROOT/%{_mandir}/man1/zsoelim.1.gz
  ln -s tbl.1.gz	$RPM_BUILD_ROOT/%{_mandir}/man1/gtbl.1.gz
  ln -s troff.1.gz 	$RPM_BUILD_ROOT/%{_mandir}/man1/gtroff.1.gz

  ln -s devnippon	$RPM_BUILD_ROOT/usr/share/groff/%{version}/font/devkorean

  find ${RPM_BUILD_ROOT}%{_prefix}/bin ${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l | \
	grep -v afmtodit | grep -v grog | grep -v mdoc.samples |\
	grep -v mmroff |\
	sed "s|${RPM_BUILD_ROOT}||g" | sed "s|\.[0-9]|\.*|g" > groff-files

  install %{SOURCE6} $RPM_BUILD_ROOT/usr/share/groff/%version/tmac/hyphen.cs
  install %{SOURCE7} $RPM_BUILD_ROOT/usr/bin/nroff

  ln -sf doc.tmac $RPM_BUILD_ROOT/usr/share/groff/%version/tmac/docj.tmac

  # Remove unpackaged files.
  rm -fr $RPM_BUILD_ROOT/%{_datadir}/doc/groff
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.19.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
